'use strict';

var _assign = require('babel-runtime/core-js/object/assign');

var _assign2 = _interopRequireDefault(_assign);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint flowtype/no-weak-types:0 */

module.exports = function (context, opts) {
  var options = (0, _assign2.default)({
    loose: true,
    targets: {
      browsers: ['last 2 versions']
    }
  }, opts, { modules: process.env.JS_NEXT ? false : 'commonjs' });
  var presets = [require.resolve('babel-preset-react'), [require.resolve('babel-preset-env'), options]];
  var buildPlugins = [require.resolve('babel-plugin-transform-class-properties'), [require.resolve('babel-plugin-transform-object-rest-spread'), {
    useBuiltIns: true
  }]];
  var devPlugins = [
  // Adds component stack to warning messages
  require.resolve('babel-plugin-transform-react-jsx-source'),
  // Adds __self attribute to JSX which React will use for some warnings
  require.resolve('babel-plugin-transform-react-jsx-self')];

  var env = process.env.BABEL_ENV || process.env.NODE_ENV;

  var plugins = env === 'development' ? [].concat(buildPlugins, devPlugins) : buildPlugins;

  return {
    presets: presets,
    plugins: plugins
  };
};